# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### 🔧 Changed

- Update changelog ([666b99f](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/666b99f3fd6741b4c4e44fc26a3e636e3d3fa4e5))
- Try to fix a test ([5ad6108](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/5ad61084518a571540d9604fd9824b6537b9bc70))
- Update changelog ([c9e6073](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/c9e60736783b6d4c2a5f9472ac1b61b40513247b))
- Change release commit message ([86c45b8](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/86c45b811e0db5114348919a0a88662a6389385b))
- List all commits for a complete changelog ([c8d5108](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/c8d5108632f217e44fdda0ebe733b9cebab72117))
- Enable changelog generation for develop commits ([535ca4f](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/535ca4fc6185270158cb8816fe7708493d709097))
- Tweak the changelog template ([cf1ef60](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/cf1ef602916c9d38a99a4e06477a25e93b344e68))
- Enforce conventional commits ([967f4bd](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/967f4bd1e42a47b8602325bf6bb78af1b479b9af))
- Setup commitlint's prompt for easier conventional committing ([f47075c](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/f47075c9740107ac912f6d290df86b67daf9110e))

### 🗑️ Removed

- Remove incorrect set for identifiers ([6d50909](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/6d50909945e1106ee554f1e0b038419d20335b14))

### 🚀 Added

- Add qudt:quantityValue to a qudt:QuantityKind ([7cc21e9](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/7cc21e986e1085d22ab88a785274eed9588d5988))
- Add gen-pydantic and gen-python tests to the CI ([cab524e](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/cab524e5633437b30dcfb153b4b6671c198f4df8))

### 🩹 Fixed

- Fix tests and correct some LinkML concepts ([dc8b379](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/dc8b3798727b17f5714d0c5968988d97a7f8a2c6))
- Set uri type to str ([15b0005](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/15b00054f5ba5001a1651657f0ca99820d961847))
- Correct Norway country code ([b8cde01](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/b8cde01519b1f8e0fc326bb19a06a2440568077e))
- Cannot be a range class and an identifier ([e5f0704](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/e5f0704871e2fe21bf4418fcd755121df17364f3))
- Fix linting error ([357015f](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/357015f812a291fc54a5724c8054816d40577f18))
- Rename slot EnergyMix.date by EnergyMix.attainmentDate ([fc5538f](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/fc5538f9adc704a8bc7fe8dff2161f7c1bf57561))
- Set alpha code for Norway to NO ([d8688b4](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/d8688b471f24bec865fa421dc45d1eb62fbeac15))
- Fix changelog push command branch ([e33195b](https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/commit/e33195b1257c18df5bf296a4fb78ebafe97bec9a))

[unreleased]: https://gitlab.com/gaia-x/technical-committee/service-characteristics-working-group/service-characteristics/compare/v2.0.1-develop.10..HEAD

<!-- generated by git-cliff -->
